| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_IMIDINode Class Referenceabstract

`#include <AAX_IMIDINode.h>`

## Description

Interface for accessing information in a MIDI node.

:Implemented by the AAX Host:

See also
  AAX_IComponentDescriptor::AddMIDINode

## Public Member Functions
virtual | ~AAX_IMIDINode ()
virtual AAX_CMidiStream * | GetNodeBuffer ()=0
| Returns a MIDI stream data structure.
virtual AAX_Result | PostMIDIPacket (AAX_CMidiPacket *packet)=0
| Posts an AAX_CMidiPacket to an output MIDI node.
virtual AAX_ITransport * | GetTransport ()=0
| Returns a transport object.

## Constructor & Destructor Documentation

## ◆ ~AAX_IMIDINode()

virtual AAX_IMIDINode::~AAX_IMIDINode | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ GetNodeBuffer()

virtual AAX_CMidiStream * AAX_IMIDINode::GetNodeBuffer | ( |  | ) |
| pure virtual

Returns a MIDI stream data structure.

## ◆ PostMIDIPacket()

virtual AAX_Result AAX_IMIDINode::PostMIDIPacket | ( | AAX_CMidiPacket * | packet | ) |
| pure virtual

Posts an AAX_CMidiPacket to an output MIDI node.

Host Compatibility Notes:
  Pro Tools supports the following MIDI events from plug-ins:
  - NoteOn
  - NoteOff
  - Pitch bend
  - Polyphonic key pressure
  - Bank select (controller #0)
  - Program change (no bank)
  - Channel pressure

Parameters

  [in] | packet | The MIDI packet to be pushed to a MIDI output node

## ◆ GetTransport()

virtual AAX_ITransport * AAX_IMIDINode::GetTransport | ( |  | ) |
| pure virtual

Returns a transport object.

Warning
  The returned interface is not versioned. Calling a method on this interface that is not supported by the host will result in undefined behavior, usually a crash. You must either check the host version before using this interface or limit the use of this interface to V1 Transport interface methods.

Wherever possible, use a versioned Transport object such as the one created in AAX_CEffectParameters::Initialize() rather than this unversioned interface.

The documentation for this class was generated from the following file:

- AAX_IMIDINode.h